use super::super::data_types::*;
pub const CK_OTP_VALUE: CK_ULONG = 0x0;
pub const CK_OTP_PIN: CK_ULONG = 0x1;
pub const CK_OTP_CHALLENGE: CK_ULONG = 0x2;
pub const CK_OTP_TIME: CK_ULONG = 0x3;
pub const CK_OTP_COUNTER: CK_ULONG = 0x4;
pub const CK_OTP_FLAGS: CK_ULONG = 0x5;
pub const CK_OTP_OUTPUT_LENGTH: CK_ULONG = 0x6;
pub const CK_OTP_FORMAT: CK_ULONG = 0x7;
pub const CKF_NEXT_OTP: CK_ULONG = 0x00000001;
pub const CKF_EXCLUDE_TIME: CK_ULONG = 0x00000002;
pub const CKF_EXCLUDE_COUNTER: CK_ULONG = 0x00000004;
pub const CKF_EXCLUDE_CHALLENGE: CK_ULONG = 0x00000008;
pub const CKF_EXCLUDE_PIN: CK_ULONG = 0x00000010;
pub const CKF_USER_FRIENDLY_OTP: CK_ULONG = 0x00000020;
